# This spec file was generated using Kpp
# If you find any problems with this spec file please report
# the error to ian geiser <geiseri@msoe.edu>
Summary:   The Quine-McCluskey Logic Simplifier is a utility written to simplify digital logic. You feed it a canonical decimal list and it does the rest.
Name:      qmls
Version:   0.1
Release:   %%release%%
Copyright: GPL
Vendor:    Dannel Albert <dalbert@capitol-college.edu>
Url:       http://sourceforge.net/projects/qmls/

Packager:  Dannel Albert <dalbert@capitol-college.edu>
Group:     %%catagory%%
Source:    qmls-0.1.tar.gz
BuildRoot: %%buildroot%%

%description
The Quine-McCluskey Logic Simplifier is a utility written to simplify digital logic. You feed it a canonical decimal list and it does the rest.

%prep
%setup
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
                 \
                $LOCALFLAGS
%build
# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi

make -j$numprocs

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.qmls
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.qmls
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.qmls

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/qmls
rm -rf ../file.list.qmls


%files -f ../file.list.qmls
