/***************************************************************************
                          quinenode.cpp  -  description
                             -------------------
    begin                : Thu Oct 4 2001
    copyright            : (C) 2001 by Dannel Albert
    email                : dalbert@capitol-college.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "quinenode.h"

QuineNode::QuineNode(unsigned int d, unsigned int maxBits,
          QuineNode* n, QuineNode* p)
{
  data = d;
  next = n;
  prev = p;
  num1s = 0;
  for (unsigned int i=0; i<maxBits; i++)
  {
    if ((d & 1) == 1)
      num1s++;
    d = d >> 1;
  }
}
