/***************************************************************************
                          strstack.h  -  description
                             -------------------
    begin                : Wed Oct 3 2001
    copyright            : (C) 2001 by Dannel Albert
    email                : dalbert@capitol-college.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _STRSTACK_H_
#define _STRSTACK_H_

#include "strnode.h"

class StrStack
{
private:
  StrNode* top;
  unsigned int numItems;

public:
  // CONSTRUCTOR / DESTRUCTOR
  StrStack();
  ~StrStack();

  // ACCESSORS
  std::string Peek() const;
  unsigned int Size() const { return numItems; }

  std::string Pop();
  void Push(std::string s);
};

#endif