/***************************************************************************
                          unumnode.h  -  description
                             -------------------
    begin                : Wed Oct 3 2001
    copyright            : (C) 2001 by Dannel Albert
    email                : dalbert@capitol-college.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _UNUMNODE_H_
#define _UNUMNODE_H_

#include <cstdlib>  // for NULL
#include "globals.h"

class UNumNode
{
private:
  unum data;
  UNumNode* next;
  UNumNode* prev;

public:
  // CONSTRUCTOR / DESTRUCTOR
  UNumNode(unum i, UNumNode* n=NULL, UNumNode* p=NULL);
//  ~IntNode();

  // ACCESSORS
  unum GetData() const { return data; }
  UNumNode* GetNext() const { return next; }
  UNumNode* GetPrev() const { return prev; }

  // MODIFIERS
  void SetData(unum i) { data = i; }
  void SetNext(UNumNode* n) { next = n; }
  void SetPrev(UNumNode* p) { prev = p; }
};

#endif
