/***************************************************************************
                          unumstack.h  -  description
                             -------------------
    begin                : Wed Oct 3 2001
    copyright            : (C) 2001 by Dannel Albert
    email                : dalbert@capitol-college.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _UNUMSTACK_H_
#define _UNUMSTACK_H_

#include "unumnode.h"

class UNumStack
{
private:
  UNumNode* top;
  unsigned int numItems;

public:
  // CONSTRUCTOR / DESTRUCTOR
  UNumStack();
  ~UNumStack();

  // ACCESSORS
  unum Peek() const;
  unsigned int Size() const { return numItems; }
  bool IsEmpty() const { return (numItems == 0); }

  unum Pop();
  void Push(unum i);
};

#endif