/***************************************************************************
                          globals.h  -  description
                             -------------------
    begin                : Sat Oct 6 2001
    copyright            : (C) 2001 by Dannel Albert
    email                : dalbert@capitol-college.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _GLOBALS_H_
#define _GLOBALS_H_

typedef unsigned int unum;

inline bool PowerOf2(unum n, unsigned int numBits)
{
  unsigned int bitsOn=0;
  for (unsigned int i=0; i<=numBits; i++)
  {
    if (n & unum(1) == 1)
      bitsOn++;
    if (bitsOn > 1)
      return false;
    n = n >> 1;
  }
  return true;
}

#endif