/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Wed Oct  3 19:15:48 EDT 2001
    copyright            : (C) 2001 by Dannel Albert
    email                : dalbert@capitol-college.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <cassert>
#include <iostream>
#include <stdlib.h>
#include "quine.h"
#include "mccluskey.h"

using namespace std;

int main(int argc, char *argv[])
{
  Quine q;
  cin >> q;
  cout << *q.GetCanonicalDecimalList() << endl;
  q.Solve();
  cout << q << endl;

  McCluskey mc(&q);
  mc.Solve();
  cout << mc << endl;

  return EXIT_SUCCESS;
}