/***************************************************************************
                          quinenode.h  -  description
                             -------------------
    begin                : Thu Oct 4 2001
    copyright            : (C) 2001 by Dannel Albert
    email                : dalbert@capitol-college.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _QUINENODE_H_
#define _QUINENODE_H_

#include <cstdlib>
#include "globals.h"

class QuineNode
{
private:
  unum data;
  QuineNode* next;
  QuineNode* prev;
  unsigned int num1s;

public:
  // CONSTRCUCTOR
  QuineNode(unum d, unsigned int maxBits,
            QuineNode* n=NULL, QuineNode* p=NULL);

  // ACCESSORS
  unum GetData() const { return data; }
  QuineNode* GetNext() const { return next; }
  QuineNode* GetPrev() const { return prev; }
  unsigned int GetNum1s() const { return num1s; }

  // MODIFIERS
  void SetData(unum d) { data = d; }
  void SetNext(QuineNode* n) { next = n; }
  void SetPrev(QuineNode* p) { prev = p; }
};

#endif