/***************************************************************************
                          strnode.h  -  description
                             -------------------
    begin                : Wed Oct 3 2001
    copyright            : (C) 2001 by Dannel Albert
    email                : dalbert@capitol-college.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _STRNODE_H_
#define _STRNODE_H_

#include <cstdlib>  // for NULL
#include <string>

class StrNode
{
private:
  std::string data;
  StrNode* next;
  StrNode* prev;

public:
  // CONSTRUCTOR / DESTRUCTOR
  StrNode(std::string s, StrNode* n=NULL, StrNode* p=NULL);
//  ~StrNode();

  // ACCESSORS
  std::string GetData() const { return data; }
  StrNode* GetNext() const { return next; }
  StrNode* GetPrev() const { return prev; }

  // MODIFIERS
  void SetData(std::string s) { data = s; }
  void SetNext(StrNode* n) { next = n; }
  void SetPrev(StrNode* p) { prev = p; }
};

#endif